!!MP Inlines.f

C	An example of a FORTRAN Resource for Microsoft Excel 3.0
C	This example call illustrates the use of the IEEE Floating-Point
C	Buffer Data, Data Type E. Testing for this example was done with
C	Language Systems FORTRAN version 3.0
C	
C	Below are the commands that were executed to create the 
C	code resource

!!IFC FALSE
 FORTRAN DATAE.f -opt=1 -noimplicit
Link -w -f -srt -ad 4 -t '????' -c '????' ¶
-m DATAE -sn Main=DATAE ¶
-sn f_RunTime=DATAE ¶
-sn f_Intrinsics=DATAE ¶
	DATAE.f.o ¶
	"{FLibraries}"OutpwStubs.o ¶
	"{Libraries}"Runtime.o ¶
	"{Libraries}"Interface.o ¶
	"{FLibraries}"FORTRANlib.o ¶
	"{FLibraries}"IntrinsicLib.o ¶
	"{FLibraries}"FSANELib.o ¶
	-o DATAE.rsc
!!ENDC

C	Source code

	integer*4 function DATAE(a,%val(b))
	
	pointer /real*8/ b
	real*8    a
	
	
	b^ = a * 2
	DATAE = b
	
	return
	end
	
		
	